# Transfer Bank

### Transfer Bank

## POST /snap/v1.1/emoney/transfer-bank

>

```json
{"openapi":"3.0.0","info":{"title":"KIRIMDOKU Snap - rem-kirimdoku-snap","version":"1.0.0"},"tags":[{"name":"TRANSFER BANK","description":"KIRIMDOKU Transfer Bank"}],"servers":[{"description":"KIRIMDOKU Sandbox","url":"https://api-sandbox.doku.com"},{"description":"KIRIMDOKU Production","url":"https://api.doku.com"}],"paths":{"/snap/v1.1/emoney/transfer-bank":{"post":{"operationId":"transferBank11","tags":["TRANSFER BANK"],"parameters":[{"$ref":"#/components/parameters/xExternalId"},{"$ref":"#/components/parameters/xPartnerId"},{"$ref":"#/components/parameters/xSignature"},{"$ref":"#/components/parameters/xTimeStamp"},{"$ref":"#/components/parameters/channelIdHeader"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postTransferBankRequest"}}}},"responses":{"200":{"description":"Transfer bank processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/postTransferBankResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnapTransferFailedResponse"}}}}}}}},"components":{"parameters":{"xExternalId":{"name":"X-EXTERNAL-ID","in":"header","description":"Numeric String. Reference number that should be unique in the same day (Request Id)","required":true,"schema":{"type":"string"}},"xPartnerId":{"name":"X-PARTNER-ID","in":"header","description":"Client Id for merchant that generated by DOKU","required":true,"schema":{"type":"string"}},"xSignature":{"name":"X-SIGNATURE","in":"header","description":"Symmetric Signature with Get Token (Default)HMAC_SHA512 (clientSecret, stringToSign) dengan formula stringToSign = HTTPMethod +”:“+ EndpointUrl +\":\"+ AccessToken +\":“+ Lowercase(HexEncode(SHA-256(minify(RequestBody))))+ \":“ + TimeStamp","required":true,"schema":{"type":"string"}},"xTimeStamp":{"name":"X-TIMESTAMP","in":"header","description":"Client's current local time with format YYYY-MM-DDTHH:mm:ssZD","required":true,"schema":{"type":"string"}},"channelIdHeader":{"name":"CHANNEL-ID","in":"header","description":"refers to a unique identifier for the channel or method used to initiate a payment transaction","required":true,"schema":{"type":"string"}}},"schemas":{"postTransferBankRequest":{"type":"object","required":["partnerReferenceNo","customerNumber","beneficiaryAccountNumber","beneficiaryBankCode","amount","sessionId"],"properties":{"partnerReferenceNo":{"type":"string","maxLength":64,"description":"Transaction identifier on service consumer system, generated by KD partners. Must be unique per request."},"customerNumber":{"type":"string","description":"Customer Account Number in Phone Number format","maxLength":32},"beneficiaryAccountNumber":{"type":"string","maxLength":32,"description":"Destination account number"},"beneficiaryBankCode":{"type":"string","description":"Bank code"},"amount":{"$ref":"#/components/schemas/amountRequestDTO"},"sessionId":{"type":"string","description":"Inquiry invoice id","maxLength":25},"feeType":{"maxLength":25},"additionalInfo":{"$ref":"#/components/schemas/RemitAdditionalInfoReqDTO"}}},"amountRequestDTO":{"type":"object","required":["value","currency"],"properties":{"value":{"type":"string"},"currency":{"type":"string"}}},"RemitAdditionalInfoReqDTO":{"type":"object","required":["beneficiaryFirstName","beneficiaryLastName","beneficiaryPhoneNumber","beneficiaryAccountName","senderCountryCode","senderFirstName","senderLastName","senderPersonalId","senderPersonalIdType"],"properties":{"channelCode":{"type":"string","maxLength":5,"description":"07 = Bank Deposit, 11 = BI-FAST"},"beneficiaryFirstName":{"type":"string","maxLength":64},"beneficiaryLastName":{"type":"string","maxLength":64},"beneficiaryPhoneNumber":{"type":"string","maxLength":20},"beneficiaryBankName":{"type":"string","description":"Bank name information"},"beneficiaryAccountName":{"type":"string"},"senderCountryCode":{"type":"string","maxLength":3,"description":"Sender two-letter ISO 3166-2 country code"},"senderFirstName":{"type":"string","maxLength":64},"senderLastName":{"type":"string","maxLength":64},"senderPersonalId":{"type":"string","maxLength":32,"description":"Sender personal (national) id number"},"senderPersonalIdType":{"type":"string","maxLength":16,"description":"Sender personal (national) id type ( KTP, PASSPORT )"},"remark":{"type":"string","maxLength":255,"description":"Note or information from sender"}}},"postTransferBankResponse":{"type":"object","properties":{"responseCode":{"type":"string"},"responseMessage":{"type":"string"},"referenceNo":{"type":"string"},"partnerReferenceNo":{"type":"string"},"transactionDate":{"type":"string"},"referenceNumber":{"type":"string"},"additionalInfo":{"$ref":"#/components/schemas/RemitAdditionalInfoResDTO"}}},"RemitAdditionalInfoResDTO":{"type":"object","properties":{"sessionId":{"type":"string"},"amount":{"type":"string"}}},"SnapTransferFailedResponse":{"type":"object","required":["responseCode","responseMessage"],"properties":{"responseCode":{"type":"string","description":"Response Code with format HTTP status code + service code + case code. | min length: 1 | max length: 7"},"responseMessage":{"type":"string","description":"Failed. | min length: 1 | max length: 150"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.doku.com/payout/kirim-doku/transfer-bank.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
